package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.NavigationPackage;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.NavigationPackageMapper")
public interface NavigationPackageMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(NavigationPackage record);

    NavigationPackage selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(NavigationPackage record);

    List<NavigationPackage> queryAllNavigationPackage(NavigationPackage record);

    List<NavigationPackage> queryAllNavigationPackageForLankMark(NavigationPackage record);

    List<NavigationPackage> queryNavigationPackageByPage(Map<String, Object> parameter);

    int delete(NavigationPackage record);

    NavigationPackage queryNavigationPackage(NavigationPackage record);

    List<NavigationPackage> query(NavigationPackage record);

    NavigationPackage queryBoughtNavigationPackage(NavigationPackage record);
}

